package ink.wgink.module.instantmessage.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;

/**
 * @ClassName: MessageVO
 * @Description: 消息VO
 * @Author: wanggeng
 * @Date: 2021/9/13 9:40 下午
 * @Version: 1.0
 */
public class MessageVO {

    @CheckEmptyAnnotation(name = "接收人")
    private String to;
    @CheckEmptyAnnotation(name = "标题")
    private String title;
    @CheckEmptyAnnotation(name = "内容")
    private String content;
    private String target;

    public String getTo() {
        return to == null ? "" : to.trim();
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTarget() {
        return target == null ? "" : target.trim();
    }

    public void setTarget(String target) {
        this.target = target;
    }
}
